function onTalk()
  setPlayerState("StDummy")
  say("CIRION_INTRO")
  local loop = true
  while loop do
	  local responce = choice("CIRION_DEV_ROOM_ASK", "CIRION_SUFFER_TOGETHER_ASK", "CIRION_WHY_THIS_ASK", "CIRION_WHY_SUSSY_SEEKERS_ASK", "CIRION_HOW_WORK_ASK", "CIRION_WHO_HELPED_ASK", "CIRION_GO_AWAY_ASK")
	  if responce == 1 then
		say("CIRION_DEV_ROOM")
	  elseif responce == 2 then
		say("CIRION_SUFFER_TOGETHER")
	  elseif responce == 3 then
		say("CIRION_WHY_THIS")
	  elseif responce == 4 then
		say("CIRION_WHY_SUSSY_SEEKERS")
	  elseif responce == 5 then
		say("CIRION_HOW_WORK")
	  elseif responce == 6 then
		say("CIRION_WHO_HELPED")
	  else
		say("CIRION_GO_AWAY")
		loop = false
	  end
   end
end

function onEnd(room, wasSkipped)
  setPlayerState("StNormal")
end